RedBoot User's Guide
Prev | Chapter 5. Installation and Testing | Next

# ARM/StrongARM(SA11X0) Intrinsyc CerfCube

## Overview

RedBoot supports the serial port and the builtin ethernet connection for communication and downloads.

The default serial port settings are 38400,8,N,1. RedBoot runs from and supports flash management for the system flash region.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROM | [ROM] | RedBoot running from the board's flash boot sector. | redboot_ROM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm

## Initial Installation

The original boot loader supplied with the CerfCube can be used to install RedBoot. Connect to the device using a serial port at 38400/8N1. Copy the binary RedBoot ROM mode image to an available TFTP server. Issue these commands to the Instrinsyc loader:

    download tftp:x.x.x.x redboot_ROM.bin 0xc0000000
    flashloader 0x00000000 0xc0000000 0x20000

where `x.x.x.x` is the IP address of the TFTP server.

> NOTE: Other installation methods may be available via the Intrinsyc loader. Contact Intrinsyc for details.

## Additional commands

The exec command which allows the loading and execution of Linux kernels, is supported for this board (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for the CerfCube are:

-b `<addr>`

  Location Linux kernel was loaded to

-l `<len>`

  Length of kernel

-c `"params"`

  Parameters passed to kernel

-r `<addr>`

  'initrd' ramdisk location

-s `<len>`

  Length of initrd ramdisk

## Memory Maps

RedBoot sets up the following memory map on the CerfCube: The first level page table is located at physical address 0xC0004000. No second level tables are used.

> NOTE: The virtual memory maps in this section use a C and B column to indicate whether or not the region is cached (C) or buffered (B).

    Physical Address Range     Description
    -----------------------    ----------------------------------
    0x00000000 - 0x01ffffff    16Mb to 32Mb FLASH (nCS0) [organized as below]
      0x000000 - 0x0001ffff      RedBoot
      0x020000 - 0x0003ffff      RedBoot [RAM version]
      0xfc0000 - 0x00fdffff      Fconfig data
      0xfe0000 - 0x00ffffff      FIS directory
    0x0f000000 - 0x0fffffff    Onboard ethernet
    0x10000000 - 0x17ffffff    CerfCube internal registers
    0x20000000 - 0x3fffffff    PCMCIA / Compact Flash
    0x80000000 - 0xbfffffff    SA-1110 Internal Registers
    0xc0000000 - 0xc1ffffff    DRAM Bank 0 - 32Mb SDRAM
    0xe0000000 - 0xe7ffffff    Cache Clean

    Virtual Address Range    C B  Description
    -----------------------  - -  ----------------------------------
    0x00000000 - 0x01ffffff  Y Y  DRAM - 32Mb
    0x08000000 - 0x0fffffff  N N  Onboard ethernet controller
    0x10000000 - 0x17ffffff  N N  CerfCube internal registers
    0x20000000 - 0x3fffffff  N N  PCMCIA / Compact Flash
    0x50000000 - 0x51ffffff  Y Y  Up to 32Mb FLASH (nCS0)
    0x80000000 - 0xbfffffff  N N  SA-1110 Internal Registers
    0xc0000000 - 0xc1ffffff  N Y  DRAM Bank 0: 32Mb
    0xe0000000 - 0xe7ffffff  Y Y  Cache Clean

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=cerf
    export ARCH_DIR=arm
    export PLATFORM_DIR=sa11x0/cerf

The names of configuration files are listed above with the description of the associated modes.

Prev | Home | Next
ARM/StrongARM(SA11X0) Compaq iPAQ PocketPC | Up | ARM/XScale Cyclone IQ80310